Bug 1260403 - sddm update overwrites /usr/share/sddm/scripts/Xsetup
sddm update overwrites /usr/share/sddm/scripts/Xsetup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 08:47 EDT by Corinna Vinschen
Modified: 2015-09-08 10:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 10:10:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corinna Vinschen 2015-09-06 08:47:33 EDT
Description of problem:

 In multimonitor setup, it's essential to be able to define
 display layout.  For sddm this would usually be done in the
 /usr/share/sddm/scripts/Xsetup script.

 However, installing a new version of the sddm package invariably
 overwrites the file, so there's no reliable way to define the
 correct local display setup for sddm.

Version-Release number of selected component (if applicable):

 sddm-0.10.0-4.fc22.x86_64

How reproducible:

 Update sddm package, e.g, by updating from F21 to F22.
 
Actual results:

 /usr/share/sddm/scripts/Xsetup is simply overwritten with
 sddm's own dummy script.

Expected results:

 Local versions of /usr/share/sddm/scripts/Xsetup must not be
 overwritten.  An Xsetup.rpmnew file should be created instead.
Comment 1 Kevin Kofler 2015-09-06 18:39:39 EDT
Files in /usr cannot be config files. The file needs to go to somewhere under /etc if it is to be configurable.
Comment 2 Corinna Vinschen 2015-09-07 15:51:26 EDT
I found the DisplayCommand setting in /etc/sddm.conf, so providing
another Xsetup file and pointing to that in /etc/sddm.conf is apparently
the way to go...

...if, hopefully, the /etc/sddm.conf file is not overwritten or moved
to /etc/sddm.conf.rpmsave by an update.


Corinna
Comment 3 Rex Dieter 2015-09-08 10:10:31 EDT
Are you correct on both counts, providing a custom Xsetup file is the way to go, and sddm.conf modifications should be preserved via .spec tags (the 'noreplace' is the important part):
%config(noreplace)   %{_sysconfdir}/sddm.conf

Note You need to log in before you can comment on or make changes to this bug.